# Create Instance - CreateUESInstance

## Overview

Create Instance






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUESInstance`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.an-link.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **InstanceName** | string | Instance Name |**Yes**|
| **NodeConf** | string | Node configuration identifier. Supported instance types can be obtained via GetUESNodeConf → NodeConfList[].NodeConf. |**Yes**|
| **VPCId** | string | VPC ID identifier. |**Yes**|
| **SubnetId** | string | Subnet ID identifier. |**Yes**|
| **KibanaNodeConf** | string | Kibana node configuration. Supported instance types can be obtained via GetUESNodeConf → NodeConfList[].NodeConf. |**Yes**|
| **KibanaNodeDiskConf** | string | Kibana Node DiskConf |**Yes**|
| **AppVersion** | string | Application service version. Supported versions can be obtained via GetUESAppVersion → AppVersionList[].AppVersion. |**Yes**|
| **NodeDiskConf** | string | Node DiskConf |**Yes**|
| **NodeSize** | int | Number of nodes; the default count is 3. |No|
| **NodeDiskSize** | int | Node disk size; default is 100 GB. |No|
| **ServiceUserName** | string | Elasticsearch service username; default is elastic. OpenSearch service username; fixed as admin. |No|
| **ServicePasswd** | string | Service user password; default is changeme.Password must be 8–30 characters long and include at least one uppercase letter, one lowercase letter, and one number. No special characters allowed.User password is Base64-encoded. |No|
| **AppName** | string | Application name. Supported types can be obtained via GetUESAppVersion → AppVersionList[].AppName; default is elasticsearch. |No|
| **Remark** | string | Remarks; default is empty. |No|
| **ChargeType** | string | Charge Type; default is Month. |No|
| **Quantity** | int | Quantity; default is 1 |No|
| **MasterConf** | string | Master node type identifier. Supported instance types can be obtained via GetUESNodeConf → NodeConfList[].NodeConf; default is empty. |No|
| **BusinessId** | string | Business group ID identifier. |No|
| **CoordinatingNodeConf** | string | Coordinating node instance configuration. Supported instance types can be obtained via GetUESNodeConf → NodeConfList[].NodeConf; default is empty. |No|
| **CoordinatingNodeSize** | int | Coordinating Node Size |No|
| **CoordinatingNodeDiskConf** | string | Coordinating Node DiskConf |No|
| **IsSecGroup** | boolean | Whether to enable the security group; default is false. |No|
| **SecGroupIds.N** | string | Security group ID. Required when security groups are enabled; up to 5 security groups can be bound at the same time. |No|
| **IsMultiZone** | boolean | Whether it is a multi-availability-zone deployment; default is false. |No|
| **MultiZones.N** | string | Multi-availability zone names; default is an empty array ([]). |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **InstanceId** | string | Instance Id |No|




## Example

### Request Example
    
```
https://api.an-link.com/?Action=CreateUESInstance
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=rMowKbIa
&InstanceName=nKyFNiSI
&NodeConf=SeffTnAB
&VPCId=vnBWBtMW
&SubnetId=BKdMebsu
&KibanaNodeConf=ZakEGFwD
&KibanaNodeDiskConf=UxqoUVSz
&AppVersion=BSrRfnsd
&NodeDiskConf=xlyvHwDt
&NodeSize=7
&NodeDiskSize=1
&ServiceUserName=ZSlapVOy
&ServicePasswd=DscziRXM
&AppName=PALOkVie
&Remark=GUrddgsn
&ChargeType=bEAkowtW
&Quantity=9
&MasterConf=WjwCBmYk
&BusinessId=RZqhover
&CoordinatingNodeConf=lBJWpWrt
&CoordinatingNodeSize=1
&CoordinatingNodeDiskConf=dysSYAvt
&IsSecGroup=true
&SecGroupIds.N=eIoDWqyX
&IsMultiZone=false
&MultiZones.N=cYPBeLmo
```

### Response Example
    
```json
{
  "Action": "CreateUESInstanceResponse",
  "InstanceId": "mzRgimvO",
  "Message": "cnCEzDLZ",
  "RetCode": 0
}
```





